<CsoundSynthesizer>
<CsOptions>
-odac -d -O null
</CsOptions>
<CsInstruments>

nchnls = 2
0dbfs = 1
gkon    init    1

instr 1
    konoff chnget "onoff"

    printk2 konoff
    if (konoff>0.0) then
        if gkon==0 then
          event     "i", 11, 0, 500
          gkon = 1
        endif
    else
        turnoff2 11,0,0
        gkon = 0
    endif
endin

instr 11
kTrig     metro     .5
if kTrig == 1 then ;if trigger impulse:
	event     "i", 12, 0, 2
endif
endin

instr 12
katt  chnget "a1"
kdec  chnget "d1"  
kslev chnget "s1"
krel  chnget "r1"
kenv	adsr i(katt), i(kdec), i(kslev), i(krel)
kcps =  440 	  ;frequency
asig	vco2  kenv * 0.4, kcps
	outs  asig, asig
endin

</CsInstruments>
<CsScore>
i1      0   500
i11     1   500

</CsScore>

</CsoundSynthesizer>